Skip to main content
PUT
/
payments
/
settings
/
invoices
/
{id}
Update invoice payment settings
curl --request PUT \
  --url https://eu.sequencehq.com/api/payments/settings/invoices/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentProvider": "STRIPE"
}
'
import requests

url = "https://eu.sequencehq.com/api/payments/settings/invoices/{id}"

payload = { "paymentProvider": "STRIPE" }
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({paymentProvider: 'STRIPE'})
};

fetch('https://eu.sequencehq.com/api/payments/settings/invoices/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "sequenceAccountId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "invoiceId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "customerId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "paymentProvider": "STRIPE"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Unique settings ID

Body

application/json
paymentProvider
enum<string>
required

Sequence Account ID.

Available options:
STRIPE,
GOCARDLESS,
NONE
Example:

"STRIPE"

Response

OK

id
string
required

Unique payment provider id.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

sequenceAccountId
string
required

Sequence Account ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

invoiceId
string
required

Invoice ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

customerId
string
required

Customer ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

paymentProvider
enum<string>
required

Sequence Account ID.

Available options:
STRIPE,
GOCARDLESS,
NONE
Example:

"STRIPE"